macro_rules! run_aoc_day {
    ($day:ident) => {{
        use aoc24::$day::{part1, part2};

        let input = include_str!(concat!("../input/", stringify!($day), ".txt"));
        let part1_result = part1(input);
        let part2_result = part2(input);

        println!("{} results:", stringify!($day));
        println!("  part 1: {part1_result}");
        println!("  part 2: {part2_result}");
        println!();
    }};
}

fn main() {
    run_aoc_day!(day01);
    run_aoc_day!(day02);
    run_aoc_day!(day03);
    run_aoc_day!(day04);
    run_aoc_day!(day05);
    run_aoc_day!(day06);
    run_aoc_day!(day07);
    run_aoc_day!(day08);
    run_aoc_day!(day09);
    run_aoc_day!(day10);
    run_aoc_day!(day11);
}
